Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.manager
Interface RepositoryOps

All Superinterfaces
  javax.ejb.EJBLocalObject

Deprecated As of 10.4, replaced by `IVirtualRepositoryManager`

    @Deprecated
    public interface RepositoryOps

extends javax.ejb.EJBLocalObject

Interface describing repository operations.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`void` | `createRepositoryConfig(RepositoryConfig repositoryConfig)` Deprecated Creates a RepositoryConfig.
`void` | `createRepositoryConfig(String name)` Deprecated Creates a Default WLP RepositoryConfig.
`RepositoryConfig` | `getRepositoryConfig(String name)` Deprecated Gets a RepositoryConfig including it's Properties.
`Map` | `getRepositoryConfigMap()` Deprecated Gets a Map of the all the RepositoryConfigs.
`boolean` | `isRemovable(String name)` Deprecated Determine if the given repository can be removed.
`void` | `removeRepositoryConfig(String name)` Deprecated Removes a RepositoryConfig including it's Properties.
`void` | `updateRepositoryConfig(RepositoryConfig repositoryConfig)` Deprecated Updates a RepositoryConfig, including it's Properties.

Methods inherited from interface javax.ejb.EJBLocalObject
`getEJBLocalHome, getPrimaryKey, isIdentical, remove`

Method Detail

### getRepositoryConfigMap

    Map getRepositoryConfigMap()

  Deprecated
  Gets a Map of the all the RepositoryConfigs.

### createRepositoryConfig

    void createRepositoryConfig(String name)
                                throws RepositoryConfigExistsException,
                                       RepositoryException

  Deprecated
  Creates a Default WLP RepositoryConfig.

  Parameters
    `name` - - the name of the Repository to create.
  Throws
    `RepositoryConfigExistsException` - - if the name of the RepositoryConfig is already in use.
    `RepositoryException` - - if a system error occurs.

### createRepositoryConfig

    void createRepositoryConfig(RepositoryConfig repositoryConfig)
                                throws RepositoryConfigExistsException,
                                       RepositoryException

  Deprecated
  Creates a RepositoryConfig.

  Parameters
    `repositoryConfig` - - the RepositoryConfig to create.
  Throws
    `RepositoryConfigExistsException` - - if the name of the RepositoryConfig is already in use.
    `RepositoryException` - - if a system error occurs.

### getRepositoryConfig

    RepositoryConfig getRepositoryConfig(String name)
                                         throws NoSuchRepositoryConfigException,
                                                RepositoryException

  Deprecated
  Gets a RepositoryConfig including it's Properties.

  Parameters
    `name` - - the name of the RepositoryConfig to get.
  Returns
    The repository config
  Throws
    `NoSuchRepositoryConfigException` - - if the RepositoryConfig to get does not exist.
    `RepositoryException` - - if a system error occurs.

### updateRepositoryConfig

    void updateRepositoryConfig(RepositoryConfig repositoryConfig)
                                throws NoSuchRepositoryConfigException,
                                       RepositoryException

  Deprecated
  Updates a RepositoryConfig, including it's Properties.

  Parameters
    `repositoryConfig` - - the RepositoryConfig to update.
  Throws
    `NoSuchRepositoryConfigException` - - if the RepositoryConfig to update does not exist.
    `RepositoryException` - - if a system error occurs.

### removeRepositoryConfig

    void removeRepositoryConfig(String name)
                                throws NoSuchRepositoryConfigException,
                                       RepositoryException

  Deprecated
  Removes a RepositoryConfig including it's Properties.

  Parameters
    `name` - - the name of the RepositoryConfig to remove.
  Throws
    `NoSuchRepositoryConfigException` - - if the RepositoryConfig to remove does not exist.
    `RepositoryException` - - if a system error occurs.

### isRemovable

    boolean isRemovable(String name)
                        throws RepositoryException

  Deprecated
  Determine if the given repository can be removed. This is possible through the API when the configuration is not defined in the application's content-config.xml.

  Parameters
    `name` - THe name of the repository
  Returns
    true or false depending on whether the repository is defined in the application's content-config.xml.
  Throws
    `RepositoryException` - If this operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.